# MediaTool

This is a collection of tools and apps for working with various media (Web, Desktop Publishing, Video/Audio) on different platforms (Linux, Windows).

It tries to have low dependencies and lots of things are built from scratch.

This is a personal/hobby project - things will break/change a lot.

# Build Dependencies

## Linux

### Minimal

```bash
sudo apt-get install build-essential cmake
```

### Optional

#### Audio

```bash
sudo apt-get install libasound2-dev
```

#### Image Formats

```bash
sudo apt-get install libpng-dev
```


# Build from Source

## Linux

```bash
mkdir build
cd build
cmake $PATH_TO_SOURCE
make
apps/$NAME_OF_APP
```
